/*
 * ATMTypes.c
 */

#include "ATMTypes.h"

intBoxATM *setIntBox(box, xl, yl, xg, yg)
	register intBoxATM *box;
	int xl;
	int yl;
	int xg;
	int yg;
	{
	box->xl = xl;
	box->yl = yl;
	box->xg = xg;
	box->yg = yg;
	return box;
	}

intBoxATM *intersectIntBox(box, box1)
	register intBoxATM *box;
	register intBoxATM *box1;
	{
	if (box->xl < box1->xl)
		box->xl = box1->xl;
	if (box->yl < box1->yl)
		box->yl = box1->yl;
	if (box->xg > box1->xg)
		box->xg = box1->xg;
	if (box->yg > box1->yg)
		box->yg = box1->yg;
	return box;
	}

intBoxATM *unionIntBox(box, box1)
	register intBoxATM *box;
	register intBoxATM *box1;
	{
	if (box->xl > box1->xl)
		box->xl = box1->xl;
	if (box->yl > box1->yl)
		box->yl = box1->yl;
	if (box->xg < box1->xg)
		box->xg = box1->xg;
	if (box->yg < box1->yg)
		box->yg = box1->yg;
	return box;
	}

fixedBoxATM *setFixedBox(box, xl, yl, xg, yg)
	register fixedBoxATM *box;
	fixed xl;
	fixed yl;
	fixed xg;
	fixed yg;
	{
	box->xl = xl;
	box->yl = yl;
	box->xg = xg;
	box->yg = yg;
	return box;
	}

fixedBoxATM *intersectFixedBox(box, box1)
	register fixedBoxATM *box;
	register fixedBoxATM *box1;
	{
	if (box->xl < box1->xl)
		box->xl = box1->xl;
	if (box->yl < box1->yl)
		box->yl = box1->yl;
	if (box->xg > box1->xg)
		box->xg = box1->xg;
	if (box->yg > box1->yg)
		box->yg = box1->yg;
	return box;
	}

fixedBoxATM *unionFixedBox(box, box1)
	register fixedBoxATM *box;
	register fixedBoxATM *box1;
	{
	if (box->xl > box1->xl)
		box->xl = box1->xl;
	if (box->yl > box1->yl)
		box->yl = box1->yl;
	if (box->xg < box1->xg)
		box->xg = box1->xg;
	if (box->yg < box1->yg)
		box->yg = box1->yg;
	return box;
	}
